Last Comment Bug 735233 - Shift-F6 should focus the location bar rather than the first focusable chrome element
: Shift-F6 should focus the location bar rather than the first focusable chrome...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Keyboard Navigation (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Dão Gottwald [:dao]
:
Mentors:
Depends on:
Blocks: 249735 639202
  Show dependency treegraph
 
Reported: 2012-03-13 07:40 PDT by alex_mayorga
Modified: 2012-03-15 21:31 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.35 KB, patch)
2012-03-13 13:37 PDT, Dão Gottwald [:dao]
enndeakin: review+
Details | Diff | Splinter Review

Description alex_mayorga 2012-03-13 07:40:12 PDT
Wit bug 249735 fixed, F6 now cycles through URL bar and content but no longer stops at the current tab on the tab bar.

Holding Ctrl or Shift while pressing F6 cycles through content and the current tab on the tab bar but never stops at the URL bar.

IMHO this is a small regression on keyboard navigation.

I'd suggest the behavior to be like:
- pressing F6 once focus URL bar,
- pressing F6 twice focus web content,
- pressing F6 a third time focus on the current tab on the tab bar

Holding Ctrl or Shift while pressing F6 should cycle in reverse order, but the order should be consistent.

Filing per Dão's request on bug 249735 comment #93
Comment 1 Dão Gottwald [:dao] 2012-03-13 07:49:31 PDT
(In reply to alex_mayorga from comment #0)
> I'd suggest the behavior to be like:
[...]
> - pressing F6 a third time focus on the current tab on the tab bar

This doesn't make sense...
Comment 2 Dão Gottwald [:dao] 2012-03-13 13:37:41 PDT
Created attachment 605520 [details] [diff] [review]
patch
Comment 3 Neil Deakin 2012-03-14 05:35:32 PDT
Comment on attachment 605520 [details] [diff] [review]
patch

It might make sense to rename the command as now it doesn't always go to the next frame, but I'm not concerned either way.
Comment 4 Dão Gottwald [:dao] 2012-03-14 08:43:38 PDT
(In reply to Neil Deakin from comment #3)
> Comment on attachment 605520 [details] [diff] [review]
> patch
> 
> It might make sense to rename the command as now it doesn't always go to the
> next frame, but I'm not concerned either way.

Yeah, it's not ideal, but for lack of a better name I'd just keep it. "Next" is ambiguous enough that it's not exactly wrong... it's just the next frame in the opposite direction.
Comment 6 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-03-15 08:24:25 PDT
https://hg.mozilla.org/mozilla-central/rev/20cc9a2c361f

Note You need to log in before you can comment on or make changes to this bug.